import matplotlib.pyplot as plt

plt.title('My Pie')
plt.pie([2, 3, 2, 7],        # relative wedge sizes
        labels=['A','B','C','D'], 
        colors=['r', 'b', 'y', 'm'],
        startangle=5,        # angle above horizontal
        counterclock=True,   # default True
        rotatelabels=False,  # default False
        shadow=True,         # default False
        textprops=dict(
            color='black',
            style='italic'
        ),
        wedgeprops=dict(
            width=0.8,
            linewidth=1,
            edgecolor='black'
            ),
        explode=(0, 0.1, 0.3, 0),  # radius fraction
        autopct='%1.1f %%',  # percent formatting
        )
plt.show()  
